RecordInfo.ByReference (JNA API)

com.sun.jna.platform.win32.COM

## Class RecordInfo.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.RecordInfo
        - - com.sun.jna.platform.win32.COM.RecordInfo.ByReference

- All Implemented Interfaces:
    NativeMapped, IRecordInfo, IUnknown, Structure.ByReference
  Enclosing class:
    RecordInfo

      public static class RecordInfo.ByReference
      extends RecordInfo
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.RecordInfo

      `RecordInfo.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IRecordInfo

      `IID_IRecordInfo`

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.RecordInfo

      `GetField, GetFieldNames, GetFieldNoCopy, GetGuid, GetName, GetSize, GetTypeInfo, IsMatchingType, PutField, PutFieldNoCopy, RecordClear, RecordCopy, RecordCreate, RecordCreateCopy, RecordDestroy, RecordInit`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `AddRef, QueryInterface, Release`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.